Requirements

PHP 5.5.9 or later is required.

The application takes uploads of media files (image, video, audio, and PDF) and generates thumbnails of those files. ImageMagick provides the thumbnailing, along with some external libraries for video and PDF.

PHP dependencies, other than imagick above, are managed with Composer. The Symfony framework has additional requirements for PHP. Composer should be installed globally.

Javascript and CSS dependencies are managed with Bower, which requires NPM and NodeJS.